[Previous] [Next] [Contents]

## `PART::Border2Part` -- partition associated to a given border

#### Call(s)

`PART::Border2Part(`border` <,alphabet=m>)`

#### Parameters

`border` | - | a border
`m` | - | returns the same, m[1] denoting horizontal steps, m[2] vertical ones

#### Introduction

The `PART::Border2Part` function gives the partition associated to the border.

A border delimits the diagram of a partition.

The border is a list of 0 and 1, 0 denoting an horizontal step of the border of the diagram, 1 a vertical one.

#### Example 1

    >> muEC::PART::Border2Part( [0,1,0,1,0,0,1,1,0,0,1] );

                                  [6, 4, 4, 2, 1]

    >> muEC::PART::Border2Part( [a,b,a,b,a,a,b,b,a,a,b], alphabet=[a,b] );

                                  [6, 4, 4, 2, 1]

#### Related Functions

`Part2Border`, `Part2Diagonal`, `Part2Conjugate`, `Part2Mat`, `TYP::IsBorder`, `TYP::IsPart`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package